Package mpi

## Class CartParms

- java.lang.Object
- - mpi.CartParms

-     public final class CartParms
      extends java.lang.Object

  Cartesian topology information associated with a communicator.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CartParms​(int[] dims, boolean[] periods, int[] coords)` | Constructs a cartesian topology information object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCoord​(int i)` | Returns the coordinate of calling process for a cartesian dimension.
    `int` | `getDim​(int i)` | Returns the number of processes for a cartesian dimension.
    `int` | `getDimCount()` | Returns the number of dimensions.
    `boolean` | `getPeriod​(int i)` | Returns the periodicity (true/false) for a cartesian dimension.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CartParms

          protected CartParms​(int[] dims,
                              boolean[] periods,
                              int[] coords)

      Constructs a cartesian topology information object.
      Parameters:
        `dims` - number of processes for each cartesian dimension.
        `periods` - periodicity (true/false) for each cartesian dimension.
        `coords` - coordinates of calling process in cartesian structure.

  - ### Method Detail

    - #### getDimCount

          public int getDimCount()

      Returns the number of dimensions.
      Returns:
        number of dimensions.

    - #### getDim

          public int getDim​(int i)

      Returns the number of processes for a cartesian dimension.
      Parameters:
        `i` - cartesian dimension.
      Returns:
        number of processes for a cartesian dimension.

    - #### getPeriod

          public boolean getPeriod​(int i)

      Returns the periodicity (true/false) for a cartesian dimension.
      Parameters:
        `i` - cartesian dimension.
      Returns:
        periodicity for a cartesian dimension.

    - #### getCoord

          public int getCoord​(int i)

      Returns the coordinate of calling process for a cartesian dimension.
      Parameters:
        `i` - cartesian dimension.
      Returns:
        coordinate of calling process for a cartesian dimension.